## GimpColorScales GimpColorScales — A GimpColorSelector implementation. |

## Functions

void | gimp_color_scales_set_show_rgb_u8 ()
gboolean | gimp_color_scales_get_show_rgb_u8 ()

## Properties

gboolean | show-hsv | Read / Write / Construct
gboolean | show-rgb-u8 | Read / Write / Construct

## Types and Values

| GimpColorScales

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpColorSelector
                                ╰── GimpColorScales

## Implemented Interfaces

GimpColorScales implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

The GimpColorScales widget is an implementation of a GimpColorSelector. It shows a group of GimpColorScale widgets that allow to adjust the HSV, LCH, and RGB color channels.

## Functions

### gimp_color_scales_set_show_rgb_u8 ()

    void
    gimp_color_scales_set_show_rgb_u8 (GimpColorScales *scales,
                                       gboolean show_rgb_u8);

### gimp_color_scales_get_show_rgb_u8 ()

    gboolean
    gimp_color_scales_get_show_rgb_u8 (GimpColorScales *scales);

## Types and Values

### GimpColorScales

    typedef struct _GimpColorScales GimpColorScales;

## Property Details

### The `“show-hsv”` property

      “show-hsv”                 gboolean

Show HSV instead of LCH.

Owner: GimpColorScales

Flags: Read / Write / Construct

Default value: FALSE

### The `“show-rgb-u8”` property

      “show-rgb-u8”              gboolean

Show RGB 0..255 scales.

Owner: GimpColorScales

Flags: Read / Write / Construct

Default value: FALSE